#
# spec file for package python-python-mpv
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-python-mpv
Version:        0.3.9
Release:        lp151.1.1
Summary:        Python interface to the mpv media player
License:        AGPL-3.0-or-later
Group:          Development/Languages/Python
Url:            https://github.com/jaseg/python-mpv
Source0:        https://files.pythonhosted.org/packages/source/p/python-mpv/python-mpv-%{version}.tar.gz
Source99:       %{name}-rpmlintrc
BuildRequires:  %{python_module setuptools}
BuildRequires:  python-rpm-macros
Requires:       libmpv1
BuildArch:      noarch
%python_subpackages

%description
A ctypes-based python interface to the mpv media player.
It gives more or less full control of all features of the player,
just like the lua interface does.

%prep
%setup -q -n python-mpv-%{version}

%build
%python_build

%install
%python_install

%files %{python_files}
%doc README.rst
%{python_sitelib}/*

%changelog
* Tue Dec  4 2018 Matej Cepl <mcepl@suse.com>
- Remove superfluous devel dependency for noarch package
* Thu Jul 26 2018 aloisio@gmx.com
- Update to version 0.3.9 (no changelog supplied)
* Tue May  8 2018 aloisio@gmx.com
- Update to version 0.3.8 (no changelog supplied)
* Fri Nov 24 2017 aloisio@gmx.com
- Update to version 0.3.6
  * Fixed TypeError: _handle_key_binding_message() signature
    incompatibility with mpv < v0.15.0
  * Nicer API names for add/multiply/cycle property
  * Wrap all docstrings to 120 char line width
  * Reformat doctrings to follow PEP 257 and use reStructuredText
  * Fix add, cycle and multiply command.
  * README: loop -> loop_playlist
  * Add on_key_press
  * Fix key binding registration for bound methods, add unit tests
  * Fix window dragging while using custom key bindings
  * mpv, mpv-test: Fix vim mode lines
  * setup.py: Add pillow extra dependency
  * Restore compatibility with older libmpv versions
  * Re-nerf property observer tests
  * mpv-test.py: Add more thorough property tests
  * mpv.py: Un-break property write access
  * Add pillow-based screenshot_raw command
  * Move to fully FORMAT_NODE-based API
  * mpv module: Remove load_lua
  * MPV constructor: Add loglevel argument
  * Fix register_event_callback to work with methods
  * Remove debug hack accidentially left in the code
  * Fix message handler registration and advanced README example
  * setup.py: Small syntax fixes
  * tests: Add test for multi-valued property-mapped options
  * Add support for string-array options
  * Fix racy property tests
  * README: Add version compatibility blurb
- Spec cleanup
* Mon Jun 19 2017 aloisio@gmx.com
- Initial package (0.2.3)
